<?php
declare(strict_types=1);

namespace AuxCF\Entities\Field;

use AuxCF\Entities\Field\Enum\FieldTypeEnum;
use AuxCF\Entities\Field\Enum\LinkFieldReturnFormatEnum;
use AuxCF\Entities\FieldEntity;

class LinkFieldEntity extends FieldEntity
{
  protected FieldTypeEnum $type = FieldTypeEnum::Link;

  protected LinkFieldReturnFormatEnum $returnFormat = LinkFieldReturnFormatEnum::DEFAULT;

  public function getFieldArray(): array
  {
    $array = [
      'return_format' => $this->returnFormat->value,
    ];

    return $array;
  }
}
